xcb_render_fill_rectangles(3)

NAME
xcb_render_fill_rectangles -

SYNOPSIS
#include <xcb/render.h>

  Request function

xcb_void_cookie_t xcb_render_fill_rectangles(xcb_connection_t *conn, uint8_t op, xcb_render_picture_t dst, xcb_render_color_t color, uint32_t rects_len, const xcb_rectangle_t *rects);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

op  TODO: NOT YET DOCUMENTED.

dst TODO: NOT YET DOCUMENTED.

color
    TODO: NOT YET DOCUMENTED.

rects_len
    TODO: NOT YET DOCUMENTED.

rects
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_render_fill_rectangles_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from render.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.